Subject: bug#7653: closed (Re: 23.2; nnnil not documented)

From: [email-masked] (GNU bug Tracking System)
Date: Mon, 24 Jan 2011 02:15:03 +0000

Your bug report

#7653: 23.2; nnnil not documented

which was filed against the emacs,gnus package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
7653: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=7653
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: 23.2; nnnil not documented
From: Lars Ingebrigtsen <[email-masked]>
To: Tom Tromey <[email-masked]>
Cc: [email-masked], [email-masked]
Date: Sun, 23 Jan 2011 18:21:12 -0800
List-Id: <debbugs-submit.debbugs.gnu.org>

Tom Tromey <[email-masked]> writes:

> I happened across the Gnus "nnnil" backend recently.
> This is not documented in the Gnus manual.
> I think it ought to be.

I've now documented nnnil.

-- 
(domestic pets only, the antidote for overdose, milk.)
  [email-masked] * Lars Magne Ingebrigtsen

Subject: 23.2; nnnil not documented
From: Tom Tromey <[email-masked]>
To: [email-masked]
Date: Thu, 16 Dec 2010 10:24:29 -0700
List-Id: <debbugs-submit.debbugs.gnu.org>

I happened across the Gnus "nnnil" backend recently.
This is not documented in the Gnus manual.
I think it ought to be.

In GNU Emacs 23.2.1 (i386-redhat-linux-gnu, GTK+ Version 2.20.1)
 of 2010-06-03 on x86-07.phx2.fedoraproject.org
Windowing system distributor `Fedora Project', version 11.0.10802000
configured using `configure  '--build=i386-redhat-linux-gnu' '--host=i386-redhat-linux-gnu' '--program-prefix=' '--disable-dependency-tracking' '--prefix=/usr' '--exec-prefix=/usr' '--bindir=/usr/bin' '--sbindir=/usr/sbin' '--sysconfdir=/etc' '--datadir=/usr/share' '--includedir=/usr/include' '--libdir=/usr/lib' '--libexecdir=/usr/libexec' '--localstatedir=/var' '--sharedstatedir=/var/lib' '--mandir=/usr/share/man' '--infodir=/usr/share/info' '--with-dbus' '--with-gif' '--with-jpeg' '--with-png' '--with-rsvg' '--with-tiff' '--with-xft' '--with-xpm' '--with-x-toolkit=gtk' 'build_alias=i386-redhat-linux-gnu' 'host_alias=i386-redhat-linux-gnu' 'CFLAGS=-DMAIL_USE_LOCKF -O2 -g -pipe -Wall -Wp,-D_FORTIFY_SOURCE=2 -fexceptions -fstack-protector --param=ssp-buffer-size=4 -m32 -march=i686 -mtune=atom -fasynchronous-unwind-tables''

Important settings:
  value of $LC_ALL: nil
  value of $LC_COLLATE: nil
  value of $LC_CTYPE: nil
  value of $LC_MESSAGES: nil
  value of $LC_MONETARY: nil
  value of $LC_NUMERIC: nil
  value of $LC_TIME: nil
  value of $LANG: en_US.UTF-8
  value of $XMODIFIERS: nil
  locale-coding-system: utf-8-unix
  default enable-multibyte-characters: t

Major mode: Texinfo

Minor modes in effect:
  auto-fill-function: do-auto-fill
  shell-dirtrack-mode: t
  diff-auto-refine-mode: t
  erc-list-mode: t
  erc-menu-mode: t
  erc-autojoin-mode: t
  erc-ring-mode: t
  erc-pcomplete-mode: t
  erc-track-mode: t
  erc-track-minor-mode: t
  erc-match-mode: t
  erc-button-mode: t
  erc-fill-mode: t
  erc-stamp-mode: t
  erc-netsplit-mode: t
  erc-spelling-mode: t
  erc-truncate-mode: t
  flyspell-mode: t
  erc-status-mode: t
  erc-services-mode: t
  erc-networks-mode: t
  erc-irccontrols-mode: t
  erc-noncommands-mode: t
  erc-move-to-prompt-mode: t
  erc-readonly-mode: t
  tooltip-mode: t
  mouse-wheel-mode: t
  file-name-shadow-mode: t
  global-font-lock-mode: t
  font-lock-mode: t
  auto-encryption-mode: t
  auto-compression-mode: t
  line-number-mode: t
  transient-mark-mode: t

Recent input:
b u t SPC n o t SPC i n SPC t h e S-SPC A P I <M-backspace> 
A B I <return> <f10> <f10> C-c b <f10> <f10> <f10> 
C-c b o k <return> <f10> C-z o n n n n n n n n C-z 
o C-x b SPC * E M <tab> <return> M-v M-v C-u C-u C-p 
C-p C-p <return> q C-z o n n n n SPC n n n SPC n q 
s l s C-z o <f10> <f10> <f10> <f10> <f10> <f10> <switch-frame> 
C-z o <f10> <f10> <f10> <f10> <f10> C-x C-f C-a C-f 
C-f C-k . g n u s <return> C-s p C-a C-u C-n C-n C-n 
M-f M-f C-h v <return> C-z o l s L M-< C-s l o c a 
l h o C-a C-v C-v C-v C-v l C-h i d m g n u s <return> 
C-s p r i m a r y C-s C-a C-s C-s C-s C-s C-r C-r C-a 
t s n n n i l <return> C-x C-g q C-x C-f / s p <tab> 
t r <tab> E m <tab> e m <tab> - m <tab> l i s <M-backspace> 
d o <tab> <M-backspace> <tab> <tab> t r <tab> <tab> 
<tab> d o <tab> <tab> <tab> l i <M-backspace> e m <tab> 
<tab> <tab> g n <tab> <tab> <M-backspace> <M-backspace> 
<M-backspace> <tab> <tab> l i s p <M-backspace> m i 
<tab> <tab> g n <tab> <tab> . t <tab> <return> C-s 
n n n i l C-s C-a C-x k C-g M-x l g r e p <return> 
n n n i l <return> <return> <return> C-x o C-x 1 C-x 
k <return> C-x k C-g M-x r e p o r t - e m <tab> b 
<tab> <return>

Recent messages:
Searching subfile gnus-4...
uncompressing gnus-4.gz...done
Searching subfile gnus-5...
uncompressing gnus-5.gz...done
uncompressing gnus-1.gz...done
Info-search: Search failed: "nnnil"
Making completion list... [7 times]
Mark saved where search started
Quit
Grep finished with no matches found
Quit

Load-path shadows:
/home/tromey/lib/lisp/rpm-spec-mode hides /usr/share/emacs/site-lisp/rpm-spec-mode
/usr/share/emacs/site-lisp/flim/sha1 hides /usr/share/emacs/23.2/lisp/sha1
/usr/share/emacs/site-lisp/flim/md4 hides /usr/share/emacs/23.2/lisp/md4
/usr/share/emacs/site-lisp/flim/hex-util hides /usr/share/emacs/23.2/lisp/hex-util
/home/tromey/.emacs.d/elpa/css-mode-1.0/css-mode hides /usr/share/emacs/23.2/lisp/textmodes/css-mode
/home/tromey/.emacs.d/elpa/ruby-mode-1.0/ruby-mode hides /usr/share/emacs/23.2/lisp/progmodes/ruby-mode
/home/tromey/.emacs.d/elpa/nxml-mode-20041004/nxml-glyph hides /usr/share/emacs/23.2/lisp/nxml/nxml-glyph
/home/tromey/.emacs.d/elpa/nxml-mode-20041004/rng-valid hides /usr/share/emacs/23.2/lisp/nxml/rng-valid
/home/tromey/.emacs.d/elpa/nxml-mode-20041004/nxml-maint hides /usr/share/emacs/23.2/lisp/nxml/nxml-maint
/home/tromey/.emacs.d/elpa/nxml-mode-20041004/rng-cmpct hides /usr/share/emacs/23.2/lisp/nxml/rng-cmpct
/home/tromey/.emacs.d/elpa/nxml-mode-20041004/rng-loc hides /usr/share/emacs/23.2/lisp/nxml/rng-loc
/home/tromey/.emacs.d/elpa/nxml-mode-20041004/rng-dt hides /usr/share/emacs/23.2/lisp/nxml/rng-dt
/home/tromey/.emacs.d/elpa/nxml-mode-20041004/rng-parse hides /usr/share/emacs/23.2/lisp/nxml/rng-parse
/home/tromey/.emacs.d/elpa/nxml-mode-20041004/rng-uri hides /usr/share/emacs/23.2/lisp/nxml/rng-uri
/home/tromey/.emacs.d/elpa/nxml-mode-20041004/rng-util hides /usr/share/emacs/23.2/lisp/nxml/rng-util
/home/tromey/.emacs.d/elpa/nxml-mode-20041004/nxml-uchnm hides /usr/share/emacs/23.2/lisp/nxml/nxml-uchnm
/home/tromey/.emacs.d/elpa/nxml-mode-20041004/nxml-ns hides /usr/share/emacs/23.2/lisp/nxml/nxml-ns
/home/tromey/.emacs.d/elpa/nxml-mode-20041004/nxml-rap hides /usr/share/emacs/23.2/lisp/nxml/nxml-rap
/home/tromey/.emacs.d/elpa/nxml-mode-20041004/xsd-regexp hides /usr/share/emacs/23.2/lisp/nxml/xsd-regexp
/home/tromey/.emacs.d/elpa/nxml-mode-20041004/nxml-mode hides /usr/share/emacs/23.2/lisp/nxml/nxml-mode
/home/tromey/.emacs.d/elpa/nxml-mode-20041004/nxml-enc hides /usr/share/emacs/23.2/lisp/nxml/nxml-enc
/home/tromey/.emacs.d/elpa/nxml-mode-20041004/nxml-outln hides /usr/share/emacs/23.2/lisp/nxml/nxml-outln
/home/tromey/.emacs.d/elpa/nxml-mode-20041004/rng-xsd hides /usr/share/emacs/23.2/lisp/nxml/rng-xsd
/home/tromey/.emacs.d/elpa/nxml-mode-20041004/rng-nxml hides /usr/share/emacs/23.2/lisp/nxml/rng-nxml
/home/tromey/.emacs.d/elpa/nxml-mode-20041004/rng-maint hides /usr/share/emacs/23.2/lisp/nxml/rng-maint
/home/tromey/.emacs.d/elpa/nxml-mode-20041004/xmltok hides /usr/share/emacs/23.2/lisp/nxml/xmltok
/home/tromey/.emacs.d/elpa/nxml-mode-20041004/nxml-util hides /usr/share/emacs/23.2/lisp/nxml/nxml-util
/home/tromey/.emacs.d/elpa/nxml-mode-20041004/nxml-parse hides /usr/share/emacs/23.2/lisp/nxml/nxml-parse
/home/tromey/.emacs.d/elpa/nxml-mode-20041004/rng-pttrn hides /usr/share/emacs/23.2/lisp/nxml/rng-pttrn
/home/tromey/.emacs.d/elpa/nxml-mode-20041004/rng-match hides /usr/share/emacs/23.2/lisp/nxml/rng-match
/usr/share/emacs/site-lisp/flim/sasl-cram hides /usr/share/emacs/23.2/lisp/net/sasl-cram
/usr/share/emacs/site-lisp/flim/hmac-def hides /usr/share/emacs/23.2/lisp/net/hmac-def
/usr/share/emacs/site-lisp/flim/hmac-md5 hides /usr/share/emacs/23.2/lisp/net/hmac-md5
/usr/share/emacs/site-lisp/flim/sasl hides /usr/share/emacs/23.2/lisp/net/sasl
/usr/share/emacs/site-lisp/flim/sasl-digest hides /usr/share/emacs/23.2/lisp/net/sasl-digest
/usr/share/emacs/site-lisp/flim/sasl-ntlm hides /usr/share/emacs/23.2/lisp/net/sasl-ntlm
/usr/share/emacs/site-lisp/flim/ntlm hides /usr/share/emacs/23.2/lisp/net/ntlm
/home/tromey/.emacs.d/elpa/emms-3.0/tq hides /usr/share/emacs/23.2/lisp/emacs-lisp/tq

Features:
(shadow warnings emacsbug info-look compare-w python-21 python imenu
two-column conf-mode tabify man assoc edmacro gdb-shell find-dired
dired-aux vcard calc calc-loaddefs calc-macs iso-transl kmacro cus-start
cus-load autorevert repeat m4-mode time-stamp find-func webjump iswitchb
asm-mode autoconf autoconf-mode ffap sh-script executable rpm-spec-mode
thai-util thai-word grep tcl gdb-ui bindat json gud novice vc-bzr
vc-sccs vc-dir ewoc make-mode jimb-patch texinfo smerge-mode find-file
arc-mode archive-mode vc-svn w3m-cookie w3m-bookmark w3m-tabmenu
w3m-session log-view vc-annotate cal-move idutils etags vc-git cc-mode
cc-fonts cc-menus cc-cmds cc-styles cc-align cc-engine cc-vars cc-defs
gnus-fun vc-cvs goto-addr shell compile newcomment bbdb-sc supercite
regi bbdb-hooks mule-util w3m-form w3m browse-url doc-view jka-compr
image-mode w3m-hist w3m-fb w3m-ems w3m-ccl ccl w3m-favicon w3m-image
w3m-proc w3m-util parse-time diff-mode mail-hist flow-fill dabbrev
bbdb-gui gnus-cite smiley ansi-color gnus-bcklg gnus-async gnus-ml
disp-table log-edit pcvs-util add-log copyright vc vc-dispatcher
multi-isearch vc-rcs help-mode view erc-menu erc-join erc-ring
erc-pcomplete pcomplete erc-track erc-match erc-button erc-fill
erc-stamp erc-netsplit erc-spelling erc-truncate auth-source byte-opt
bytecomp byte-compile nnml nndraft nnmh bbdb-gnus bbdb-snarf mail-extr
bbdb-com gnus-agent gnus-srvr gnus-score score-mode nnvirtual gnus-msg
gnus-art mm-uu mml2015 epg-config mm-view smime dig nntp gnus-cache
gnus-sum nnoo gnus-group gnus-undo nnmail mail-source gnus-start
gnus-spec gnus-int gnus-range message idna sendmail ecomplete rfc822 mml
mml-sec password-cache mm-decode mm-bodies mm-encode mail-parse rfc2231
rfc2047 rfc2045 qp ietf-drums mailabbrev gmm-utils mailheader canlock
sha1 sha1-el hex-util hashcash gnus-win gnus gnus-ems nnheader gnus-util
netrc mail-utils wid-edit flyspell ispell eldoc emms-status emms-lastfm
emms-url url url-proxy url-privacy url-expand url-methods url-history
url-cookie url-util url-parse url-vars mm-util mail-prsvr mailcap
emms-browser sort emms-playlist-sort emms-score emms-player-xine
emms-player-mpd tq emms-playing-time emms-lyrics time-date emms-streams
emms-mode-line emms-cache emms-info-ogginfo emms-info-mp3info emms-info
later-do emms-playlist-mode emms-player-mplayer emms-player-simple
emms-source-playlist emms-source-file dired emms-setup emms emms-compat
gdb-shell-autoloads nxml-enc info weblogger-autoloads xml-rpc-autoloads
package reporter cal-china lunar solar cal-dst cal-bahai cal-islam
cal-hebrew holidays hol-loaddefs appt diary-lib diary-loaddefs cal-menu
easymenu calendar cal-loaddefs uniquify mouse-sel easy-mmode status cl
cl-19 erc-services erc-networks erc-goodies erc erc-backend erc-compat
format-spec thingatpt pp bbdb timezone ange-ftp regexp-opt comint ring
server advice help-fns advice-preload u-vm-color vm-autoloads vm-vars
vm-version bbdb-autoloads tooltip ediff-hook vc-hooks lisp-float-type
mwheel x-win x-dnd font-setting tool-bar dnd fontset image fringe
lisp-mode register page menu-bar rfn-eshadow timer select scroll-bar
mldrag mouse jit-lock font-lock syntax facemenu font-core frame cham
georgian utf-8-lang misc-lang vietnamese tibetan thai tai-viet lao
korean japanese hebrew greek romanian slovak czech european ethiopic
indian cyrillic chinese case-table epa-hook jka-cmpr-hook help simple
abbrev loaddefs button minibuffer faces cus-face files text-properties
overlay md5 base64 format env code-pages mule custom widget
hashtable-print-readable backquote make-network-process dbusbind
system-font-setting font-render-setting gtk x-toolkit x multi-tty emacs)

Tom